%define pkgname     libgda
%define apiver %(echo %version | cut -d. -f 1).0

%define majversion %(echo %version | cut -d. -f 1-2)

Name:          libgda
Version:       5.2.8
Release:       1mamba
Summary:       A library implementing a free unified data access architecture
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome-db.org/
Source:        http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{majversion}/%{pkgname}-%{version}.tar.xz
Patch0:        libgda4-3.99.8-java_check.patch
Patch1:        libgda-5.0.4-graphviz-2.30.patch
Patch2:        libgda-5.0.4-missing-doc-files.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgoocanvas-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgraphviz-devel
BuildRequires: libgtk-devel
BuildRequires: libgtksourceview-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libmdb-devel
BuildRequires: libmysql5-devel
BuildRequires: libncurses-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng15-devel
BuildRequires: libpostgresql-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libreadline-devel
BuildRequires: libselinux-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: perl
BuildRequires: perl-XML-Parser
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: libodbc-devel
BuildRequires: libsasl-devel
BuildRequires: libsqlite3-devel
BuildRequires: libpopt-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: gtk-doc
BuildRequires: firebird-devel >= 3.0.3.32900
Provides:      libgda2
Obsoletes:     libgda2
Obsoletes:     libgda-odbc
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library implementing a free unified data access architecture.

%package devel
Group:         Development/Libraries
Summary:       Devel package for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-bdb = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-mysql = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-postgresql = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-sqlite = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-mdb = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-devel
Obsoletes:     libgda2-devel

%description devel
A library implementing a free unified data access architecture.
This package contains static libraries and header files need for development.

%package -n gda
Group:         Graphical Desktop/Applications/Databases
Summary:       Database User Interfaces based on libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n gda
Database User Interfaces based on libgda.

%package mdb
Group:         Development/Libraries
Summary:       mdb provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-mdb
Obsoletes:     libgda2-mdb

%description mdb
mdb provider for %{name}.

%package mysql
Group:         Development/Libraries
Summary:       MySql provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-mysql
Obsoletes:     libgda2-mysql

%description mysql
MySql provider for %{name}.

%package postgresql
Group:         Development/Libraries
Summary:       PostgreSQL provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-postgresql
Obsoletes:     libgda2-postgresql

%description postgresql
PostgreSQL provider for %{name}.

%package jdbc
Group:         Development/Libraries
Summary:       JDBC provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-jdbc
Obsoletes:     libgda2-jdbc

%description jdbc
JDBC provider for %{name}.

%package odbc
Group:         Development/Libraries
Summary:       ODBC provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-odbc
Obsoletes:     libgda2-odbc

%description odbc
ODBC provider for %{name}.

%package ldap
Group:         Development/Libraries
Summary:       LDAP provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-ldap
Obsoletes:     libgda2-ldap

%description ldap
LDAP provider for %{name}.

%package bdb
Group:         Development/Libraries
Summary:       Berkely DB provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-bdb
Obsoletes:     libgda2-bdb

%description bdb
Berkeley DB provider for %{name}.

%package firebird
Group:         Development/Libraries
Summary:       Firebird DB provider for libgda
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description firebird
Firebird provider for %{name}.

%package sqlite
Group:         Development/Libraries
Summary:       SQLite providers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgda2-sqlite
Obsoletes:     libgda2-sqlite

%description sqlite
SQLite provider for %{name}.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc
Provides:      libgda2-apidocs
Obsoletes:     libgda2-apidocs

%description apidocs
%{pkgname} API documentation.

# FIXME:
# checking for GTK_SHARP... checking for GAPI... configure: "Not building gda-sharp"
#
# C# bindings = no
# Providers:
#    FireBird = no
#    FreeTDS = no
#    IBM DB2 = no
#    MDB (MS Access) = no
#    mSQL = no
#    Oracle = no
#    Sybase = no
#    xBase (dBase, Clipper, FoxPro) = no

%prep
%setup -q -n libgda-%{version}

#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#/usr/lib/jvm/jdk/bin/javac getsp.java

%ifarch %{ix86}
sed -i "s|lib/amd64|lib/i386|" getsp.java
%endif
%ifarch arm
sed -i "s|lib/amd64|lib/arm|" getsp.java
%endif

rm -f getsp.class
%{_jvmdir}/jdk/bin/javac getsp.java

%build
CFLAGS="%{optflags} -DGRAPHVIZ_NEW_API=1"
%configure \
   --enable-shared \
   --disable-static \
   --enable-gtk-doc \
   --enable-csharp \
   --disable-debug \
   --with-firebird \
   --with-mysql \
   --with-postgres \
   --with-odbc=%{_prefix} \
   --with-ldap \
   --with-bdb \
   --with-java \
   GRAPHVIZ_LIBS="`pkg-config --libs libcgraph libgvc`"

#   --disable-introspection \

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%find_lang libgda-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n gda
%defattr(-,root,root)
%{_bindir}/gda-*
%{_libdir}/libgda-ui-%{apiver}.so.*
%{_libdir}/libgda-%{apiver}/plugins
%{_libdir}/libgda-%{apiver}/providers/libgda-sqlcipher.so
%{_libdir}/libgda-%{apiver}/providers/libgda-web.so
%{_datadir}/appdata/gda-browser-%{apiver}.appdata.xml
%{_datadir}/applications/gda-browser-%{apiver}.desktop
%{_datadir}/applications/gda-control-center-%{apiver}.desktop
%{_datadir}/pixmaps/gda-browser-%{apiver}.png
%{_datadir}/icons/hicolor/*/apps/gda-control-center.png
%{_datadir}/libgda-%{apiver}/gda_trml2html/*.py
%{_datadir}/libgda-%{apiver}/gda_trml2pdf/*.py
%{_datadir}/libgda-%{apiver}/icons/hicolor/
%{_datadir}/libgda-%{apiver}/php
%{_datadir}/libgda-%{apiver}/pixmaps
%{_datadir}/libgda-%{apiver}/ui
%{_datadir}/libgda-%{apiver}/web_specs_auth.xml
%{_datadir}/libgda-%{apiver}/web_specs_dsn.xml

%files -f libgda-%{apiver}.lang
%defattr(-,root,root)
%{_sysconfdir}/libgda-%{apiver}/config
%{_sysconfdir}/libgda-%{apiver}/sales_test.db
%{_libdir}/libgda-%{apiver}.so.*
%{_libdir}/libgda-report-%{apiver}.so.*
%{_libdir}/libgda-xslt-%{apiver}.so.*
#%{_libdir}/libgda_handlers-%{apiver}.so.*
#%{_libdir}/libgda_sql_delimiter-%{apiver}.so.*
#%{_libdir}/libgda_sql_transaction-%{apiver}.so.*
#%{_libdir}/libgdasql-%{apiver}.so.*
%{_datadir}/libgda-%{apiver}/import_encodings.xml
%{_datadir}/libgda-%{apiver}/language-specs/gda-sql.lang
%{_datadir}/libgda-%{apiver}/server_operation.glade
%{_datadir}/libgda-%{apiver}/sqlcipher_specs_*.xml
#%{_datadir}/libgda-%{apiver}/xml/*.dtd
#%{_datadir}/libgda-%{apiver}/xml/*.xsl
%{_datadir}/libgda-%{apiver}/information_schema.xml
%{_datadir}/libgda-%{apiver}/dtd/*.dtd
%{_datadir}/libgda-%{apiver}/web/*
%{_libdir}/girepository-1.0/Gda-*.typelib
%{_libdir}/girepository-1.0/Gdaui-*.typelib
%{_mandir}/man1/*
#%{_mandir}/man5/*

%files bdb
%defattr(-,root,root)
%{_datadir}/libgda-%{apiver}/bdb_*.xml
%{_libdir}/libgda-%{apiver}/providers/libgda-bdb.so

%ifarch %{ix86}
%files firebird
%defattr(-,root,root)
%{_datadir}/libgda-%{apiver}/firebird_*.xml
%{_libdir}/libgda-%{apiver}/providers/libgda-firebird*.so
%endif

%files ldap
%defattr(-,root,root)
%{_datadir}/libgda-%{apiver}/ldap_*.xml
%{_libdir}/libgda-%{apiver}/providers/libgda-ldap.so

%files mdb
%defattr(-,root,root)
%{_datadir}/libgda-%{apiver}/mdb_*.xml
%{_libdir}/libgda-%{apiver}/providers/libgda-mdb.so

%files mysql
%defattr(-,root,root)
%{_datadir}/libgda-%{apiver}/mysql_*.xml
%{_libdir}/libgda-%{apiver}/providers/libgda-mysql.so
#%{_datadir}/gnome/help/gda-sql/C/gda-sql-help.xml

#%files jdbc
#%defattr(-,root,root)
#%{_libdir}/libgda-%{apiver}/providers/gdaprovider-%{apiver}.jar
#%{_libdir}/libgda-%{apiver}/providers/libgda-jdbc.so
#%{_datadir}/libgda-%{apiver}/jdbc_specs_*.xml

#%files odbc
#%defattr(-,root,root)
#%{_datadir}/libgda-%{apiver}/odbc_*.xml
#%{_libdir}/libgda-%{apiver}/providers/libgda-odbc.so

%files postgresql
%defattr(-,root,root)
%{_datadir}/libgda-%{apiver}/postgres_*.xml
%{_libdir}/libgda-%{apiver}/providers/libgda-postgres.so

%files sqlite
%defattr(-,root,root)
%{_datadir}/libgda-%{apiver}/sqlite_*.xml
%{_libdir}/libgda-%{apiver}/providers/libgda-sqlite.so

%files devel
%defattr(-,root,root)
%{_bindir}/gdaui-demo-%{apiver}
%dir %{_includedir}/libgda-%{apiver}
%dir %{_includedir}/libgda-%{apiver}/libgda/
%{_includedir}/libgda-%{apiver}/libgda/*
%{_includedir}/libgda-%{apiver}/libgda-ui/
%{_includedir}/libgda-%{apiver}/libgda-xslt/
%{_includedir}/libgda-%{apiver}/libgda-report/
#%{_includedir}/libgda-%{apiver}/providers-support/
#%{_includedir}/libgda-%{apiver}/sql-parser/
#%{_includedir}/libgda-%{apiver}/virtual/
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/libgda-%{apiver}/providers/libgda-*.la
%{_datadir}/libgda-%{apiver}/demo
%{_datadir}/glade/catalogs/gdaui-catalog.xml
%{_datadir}/glade/pixmaps/widget-*.png
%{_datadir}/gir-1.0/Gda-*.gir
%{_datadir}/gir-1.0/Gdaui-*.gir
%{_libdir}/pkgconfig/libgda*-%{apiver}.pc

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{pkgname}-%{apiver}/
%dir %{_datadir}/help/C/gda-browser
%{_datadir}/help/C/gda-browser
%lang(cs) %{_datadir}/help/cs/gda-browser
%lang(de) %{_datadir}/help/de/gda-browser
%lang(el) %{_datadir}/help/el/gda-browser
%lang(es) %{_datadir}/help/es/gda-browser
%lang(gl) %{_datadir}/help/gl/gda-browser
%lang(id) %{_datadir}/help/id/gda-browser
%lang(pt_BR) %{_datadir}/help/pt_BR/gda-browser
%lang(sl) %{_datadir}/help/sl/gda-browser
%lang(zh_CN) %{_datadir}/help/zh_CN/gda-browser
%{_datadir}/gtk-doc/html/gda-browser

%changelog
* Sat Feb 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.8-1mamba
- update to 5.2.8

* Fri Nov 13 2015 Automatic Build System <autodist@mambasoft.it> 5.2.4-1mamba
- automatic version update by autodist

* Mon Dec 23 2013 Automatic Build System <autodist@mambasoft.it> 5.2.2-1mamba
- automatic version update by autodist

* Mon Nov 25 2013 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic version update by autodist

* Thu Nov 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.0-1mamba
- update to 5.2.0

* Thu Nov 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.2-2mamba
- move gnome help and gtk-doc to apidocs subpackage

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Wed Jul 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-1mamba
- update to 5.0.4

* Wed Jul 17 2013 Automatic Build System <autodist@mambasoft.it> 4.2.13-3mamba
- rebuilt with mdbtools 0.7

* Sun Nov 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.13-2mamba
- rebuilt without old goocanvas (0.15)

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 4.2.13-1mamba
- update to 4.2.13

* Fri May 20 2011 Automatic Build System <autodist@mambasoft.it> 4.2.7-1mamba
- automatic update by autodist

* Mon Mar 07 2011 Automatic Build System <autodist@mambasoft.it> 4.2.5-1mamba
- automatic update by autodist

* Sat Jan 15 2011 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic update by autodist

* Fri Dec 03 2010 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic update by autodist

* Sat Nov 20 2010 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic update by autodist

* Thu Oct 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-1mamba
- update to 4.2.0

* Mon Jun 28 2010 Automatic Build System <autodist@mambasoft.it> 4.0.9-1mamba
- automatic update by autodist

* Sat Jun 05 2010 Automatic Build System <autodist@mambasoft.it> 4.0.8-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 4.0.5-1mamba
- automatic update by autodist

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 4.0.4-1mamba
- automatic update by autodist

* Sat Jun 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2-1mamba
- update to 4.0.2

* Thu Jan 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.99.8-1mamba
- update to 3.99.8
- renamed to libgda4

* Wed Apr 11 2007 Davide Madrisan <davide.madrisan@gmail.com> 2.99.5-2mamba
- new subpackage apidocs with API documentation
- added missing build requirements
- do not build static libraries
- use %%find_lang macro to package l18n files
- repackage providers for supported db in subpackages

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.99.5-1mamba
- update to version 2.99.5

* Mon Dec 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1qilnx
- update to version 1.2.3 by autospec

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-2qilnx
- security fix QSA-2005-129 (CAN-2005-2958) [QiLinux bug#56]

* Wed Oct 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2-1qilnx
- update to version 1.2.2 by autospec
- specfile fixes
- added SQLite provider package

* Thu Oct 07 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-1qilnx
- update to version 1.1.6 by autospec
- added bdb provider

* Tue May 18 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- added missing .so in devel package
- database package split

* Tue May 18 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- first build
